<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the Closure to execute when that URI is requested.
|
*/

# Get the landing page
Route::get('/', function(){
	return View::make('landing.show');
});

//Form request:: POST action will trigger to controller
Route::post('contact_request','LandingController@getContactUsForm');

# Get the login page
Route::get('/login', function(){
	return View::make('auth.login.show');
});

# Get the logout page
Route::get('/logout', function(){
	return View::make('auth.logout.show');
});

################## WORKER ###################

Route::get('/worker/dashboard', function(){
	return View::make('worker.dashboard');
});

Route::get('/worker/profile/edit', function(){
	return View::make('worker.profile.edit');
});

Route::get('/worker/progress', function(){
	return View::make('worker.progress');
});

Route::get('/worker/calendar', function(){
	return View::make('worker.calendar');
});

Route::get('/worker/travel', function(){
	return View::make('worker.travel');
});

Route::get('/worker/tutorials', function(){
	return View::make('worker.tutorials');
});

Route::get('/worker/messages', function(){
	return View::make('worker.messages');
});

Route::get('/worker/messages/view', function(){
	return View::make('worker.messages-view');
});

################## SUPPLIER ###################

Route::get('/supplier/dashboard', function(){
	return View::make('supplier.dashboard');
});

################## CLIENT ###################

Route::get('/client/dashboard', function(){
	return View::make('client.dashboard');
});

Route::get('/client/worker/view', function(){
	return View::make('client.worker.show');
});

Route::get('/client/worker/list', function(){
	return View::make('client.worker.list');
});

Route::get('/client/progress/show', function(){
	return View::make('client.progress.show');
});

Route::get('/client/progress/list', function(){
	return View::make('client.progress.list');
});